/*
 * Copyright (c) 2012, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 *  ======== ServerProtocol.h ========
 *
 */

#ifndef ServerProtocol__include
#define ServerProtocol__include
#if defined (__cplusplus)
extern "C" {
#endif


/* ipc notify configuration */
#define Server_LINE_ID          0
#define Server_EVENT_ID         7

#define Server_Notify_NOP       0
#define Server_Notify_DONE      1
#define Server_Notify_READY     2


/* commands */
#define Server_Cmd_START        1
#define Server_Cmd_STOP         2
#define Server_Cmd_UPDATE       3

typedef struct {
    UInt32      cmd;
    Int         num;            /* message couter               */
    Int         rate;           /* data message rate (ms)       */
    UInt32      ts;             /* slave timestamp              */
    UInt32      load;           /* slave CPU load %             */
} Server_CtrlMsg;

typedef struct {
    UInt32      cmd;
    Int         num;            /* message couter       */
    UInt32      ts;             /* slave timestamp      */
} Server_DataMsg;


#if defined (__cplusplus)
}
#endif
#endif
